<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAlbumHomeNav extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('album_home_nav', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('store_id')->comment('商户号');
            $table->string('name',255)->default('')->comment('图标名称');
            $table->string('url',255)->default('')->comment('页面路径');
            $table->string('open_type',255)->default('')->comment('打开方式');
            $table->longText('pic_url')->comment('图标url');
            $table->unsignedInteger('addtime');
            $table->unsignedInteger('sort')->comment('排序');
            $table->unsignedInteger('is_delete')->default(0)->comment('Is_delete');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('album_home_nav');
    }
}
